Skip to main content
GET
Get lead list

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

The ID of the requested item

Example:

"01a11c5f-1810-76ce-ab32-22f7f79b308d"

Response

The requested Lead List

A list used to store leads

id
string<uuid>
required
read-only

Unique identifier for the lead list

Example:

"01a11c5e-c49c-79f3-a5c7-70957055a2f1"

organization_id
string<uuid>
required
read-only

Organization ID that owns this lead list

Example:

"01a11c5e-c49c-79f3-a5c7-70966cc29233"

name
string
required

Name of the lead list

Example:

"My Lead List"

timestamp_created
string<date-time>
required
read-only

Timestamp when the lead list was created

Example:

"2026-10-08T16:35:35.196Z"

has_enrichment_task
null | boolean

Whether this list runs the enrichment process on every added lead or not

Example:

false

owned_by
null | string<uuid>

User ID of the owner of this lead list. Defaults to the user that created the list

Example:

"01a11c5e-c49c-79f3-a5c7-7097e90a068e"